Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.dht
Class AbstractBounds

    java.lang.Object
      org.apache.cassandra.dht.AbstractBounds

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Bounds, Range

    public abstract class AbstractBounds

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`Token` | `left`
`protected IPartitioner` | `partitioner`
`Token` | `right`

Constructor Summary
`AbstractBounds(Token left, Token right, IPartitioner partitioner)`

Method Summary
`abstract boolean` | `contains(Token start)`
`abstract AbstractBounds` | `createFrom(Token right)`
`abstract boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`static ICompactSerializer2<AbstractBounds>` | `serializer()`
`Pair<AbstractBounds,AbstractBounds>` | `split(Token token)` Given token T and AbstractBounds ?L,R], returns Pair(?L,T], ?T,R]) (where ? means that the same type of Bounds is returned -- Range or Bounds -- as the original.) The original AbstractBounds must contain the token T.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### left

    public final Token left

### right

    public final Token right

### partitioner

    protected final transient IPartitioner partitioner

Constructor Detail

### AbstractBounds

    public AbstractBounds(Token left,
                          Token right,
                          IPartitioner partitioner)

Method Detail

### serializer

    public static ICompactSerializer2<AbstractBounds> serializer()

### split

    public Pair<AbstractBounds,AbstractBounds> split(Token token)

  Given token T and AbstractBounds ?L,R], returns Pair(?L,T], ?T,R]) (where ? means that the same type of Bounds is returned -- Range or Bounds -- as the original.) The original AbstractBounds must contain the token T. If R==T, null is returned as the right element of the Pair.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public abstract boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### contains

    public abstract boolean contains(Token start)

### createFrom

    public abstract AbstractBounds createFrom(Token right)

  Returns:
    A clone of this AbstractBounds with a new right Token.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation